<div *ngIf="establishment | async as data">
  <mat-card>
    <mat-card-header>
      <div class="fab-container">
        <a *ngIf="data.position" mat-fab color="primary" title="Show on maps">
          <mat-icon>map</mat-icon>
        </a>
        <a mat-fab color="primary" title="Edit this establishment">
          <mat-icon>edit</mat-icon>
        </a>
        <a mat-fab color="primary" title="Remove this establishment">
          <mat-icon>delete</mat-icon>
        </a>
      </div>

      <mat-card-title>{{data.name}}</mat-card-title>
      <mat-card-subtitle>{{data.address}}</mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>

    <hr />

    <div *ngFor="let comment of comments | async">
      <mat-card class="comment">
        <mat-card-header>
          <mat-card-title>published by {{comment.author}}</mat-card-title>
        </mat-card-header>
        <mat-card-content>
          <pre>{{comment.content}}</pre>
        </mat-card-content>
      </mat-card>
      <hr />
    </div>

    <div *ngIf="comments.length">
      <p>Be the first to write a comment.</p>
    </div>

    <form [formGroup]="comment" (submit)="onSubmitComment()">
      <h2>Leave a comment</h2>

      <mat-form-field>
        <input matInput placeholder="author" formControlName="author" minlength="5" maxlength="255" type="text" required>
        <mat-error *ngIf="comment.hasError('required', 'author')">You must enter a value</mat-error>
        <mat-error *ngIf="comment.hasError('minlength', 'author')">Too short</mat-error>
        <mat-error *ngIf="comment.hasError('maxlength', 'author')">Too long</mat-error>
      </mat-form-field>

      <mat-form-field>
        <textarea matInput placeholder="message" formControlName="content"></textarea>
      </mat-form-field>

      <button mat-raised-button type="submit" color="primary">Add comment</button>
    </form>

    <div *ngFor="let picture of pictures | async">
      hello
    </div>

    </mat-card-content>
  </mat-card>
</div>
